Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# cpan2dist

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# cpan2dist

- NAME
- DESCRIPTION
- USAGE
- Built-In Filter Lists
  - Built-In Ignore List
  - Built-In Ban list
- SEE ALSO
- BUG REPORTS
- AUTHOR
- COPYRIGHT

# NAME

cpan2dist - The CPANPLUS distribution creator

# DESCRIPTION

This script will create distributions of `CPAN` modules of the format you specify, including its prerequisites. These packages can then be installed using the corresponding package manager for the format.

Note, you can also do this interactively from the default shell, `CPANPLUS::Shell::Default` . See the `CPANPLUS::Dist` documentation, as well as the documentation of your format of choice for any format specific documentation.

# USAGE

# Built-In Filter Lists

Some modules you'd rather not package. Some because they are part of core-perl and you dont want a new package. Some because they won't build on your system. Some because your package manager of choice already packages them for you.

There may be a myriad of reasons. You can use the `--ignore` and `--ban` options for this, but we provide some built-in lists that catch common cases. You can use these built-in lists if you like, or supply your own if need be.

## Built-In Ignore List

You can use this list of regexes to ignore modules matching to be listed as prerequisites of a package. Particularly useful if they are bundled with core-perl anyway and they have known issues building.

Toggle it by supplying the `--default-ignorelist` option.

## Built-In Ban list

You can use this list of regexes to disable building of these modules altogether.

Toggle it by supplying the `--default-banlist` option.

# SEE ALSO

CPANPLUS::Dist, CPANPLUS::Module, CPANPLUS::Shell::Default, `cpanp`

# BUG REPORTS

Please report bugs or other issues to <bug-cpanplus@rt.cpan.org<gt>.

# AUTHOR

This module by Jos Boumans <kane@cpan.org>.

# COPYRIGHT

The CPAN++ interface (of which this module is a part of) is copyright (c) 2001 - 2007, Jos Boumans <kane@cpan.org>. All rights reserved.

This library is free software; you may redistribute and/or modify it under the same terms as Perl itself.

Page index

- NAME
- DESCRIPTION
- USAGE
- Built-In Filter Lists
  - Built-In Ignore List
  - Built-In Ban list
- SEE ALSO
- BUG REPORTS
- AUTHOR
- COPYRIGHT